Test::Int::Count Namespace Reference

Tests for count constraints More...

## Classes

class | IntInt
| Test number of equal integers equal to integer More...
class | SetInt
| Test number of integers contained in an integer set equal to integer More...
class | IntIntDup
| Test number of equal integers equal to integer with duplicate variables More...
class | IntVar
| Test number of equal integers equal to integer variable More...
class | SetVar
| Test number of integers contained in an integer set equal to integer variable More...
class | IntArrayInt
| Test number of several equal integers equal to integer More...
class | IntArrayVar
| Test number of several equal integers equal to integer variable More...
class | IntVarShared
| Test number of equal integers equal to integer variable with sharing More...
class | VarVar
| Test number of equal variables equal to integer variable More...
class | VarInt
| Test number of equal variables equal to integer More...
class | VarVarSharedA
| Test number of equal variables equal to integer variable with sharing More...
class | VarVarSharedB
| Test number of equal variables equal to integer variable with sharing More...
class | VarVarSharedC
| Test number of equal variables equal to integer variable with sharing More...
class | Create
| Help class to create and register tests. More...

## Variables

Gecode::IntArgs | ints ({1, 0, 3, 2})
Create | c

## Detailed Description

Tests for count constraints

## Variable Documentation

## ints

Gecode::IntArgs Test::Int::Count::ints({1, 0, 3, 2}) | ( | {1, 0, 3, 2} |  | ) |

## c

Create Test::Int::Count::c

Definition at line 407 of file count.cpp.